<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table31', function (Blueprint $table) {
            $table->id('DatasetTable31Id');
            $table->integer('dataset_id');
            $table->string('kabupaten_kota')->nullable(); // Kabupaten/Kota/Kec.
            $table->string('jumlah_kk')->nullable();
            $table->string('sendiri')->nullable();
            $table->string('bersama')->nullable();
            $table->string('umum')->nullable();
            $table->string('tidak_menggunakan')->nullable();
            $table->string('tidak_ada_fasilitas')->nullable();
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table31s');
    }
};
